> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Skill 一覧

> 現在のアカウント配下のすべての Skill をページネーション付きで一覧取得します。

`GET /api/v1/cloud/skills`

現在のアカウント配下のすべての Skill を、カーソルベースのページネーションで一覧取得します。

## ヘッダー

| ヘッダー            | 必須 | 説明                  |
| --------------- | -- | ------------------- |
| `Authorization` | はい | `Bearer $QODER_PAT` |

## クエリパラメータ

| パラメータ       | 型       | 必須  | 説明                                                                               |
| ----------- | ------- | --- | -------------------------------------------------------------------------------- |
| `limit`     | integer | いいえ | 1 ページあたりの返却件数上限。デフォルト 20、範囲は 1〜100。100 を超える値は `400 invalid_request_error` を返します。 |
| `page`      | string  | いいえ | Claude 形式の前方カーソル。`after_id` と等価。`before_id` および `after_id` とは排他的                 |
| `after_id`  | string  | いいえ | カーソルページネーション：この ID 以降のレコードを返す。`page` および `before_id` とは排他的                       |
| `before_id` | string  | いいえ | カーソルページネーション：この ID 以前のレコードを返す。`page` および `after_id` とは排他的                        |
| `name`      | string  | いいえ | Skill 名のプレフィックス検索（大文字小文字区別なし）                                                    |
| `source`    | string  | いいえ | ソースでフィルタ。有効な値：`custom`、`qoder`                                                   |

## リクエスト例

```bash theme={null}
# List all skills
curl -X GET https://api.qoder.com/api/v1/cloud/skills \
  -H "Authorization: Bearer $QODER_PAT"

# Paginate
curl -X GET "https://api.qoder.com/api/v1/cloud/skills?limit=10" \
  -H "Authorization: Bearer $QODER_PAT"

# Page forward with a cursor
curl -X GET "https://api.qoder.com/api/v1/cloud/skills?limit=10&page=skill_019e3bba474b73cfaf19eae9b5f5e66d" \
  -H "Authorization: Bearer $QODER_PAT"
```

## レスポンス例

**HTTP 200 OK**

```json theme={null}
{
  "data": [
    {
      "id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
      "type": "skill",
      "display_title": "test-skill-api-doc",
      "description": "A test skill for API documentation",
      "source": "custom",
      "latest_version": "1",
      "metadata": {
        "team": "docs"
      },
      "created_at": "2026-05-18T15:35:24.248164Z",
      "updated_at": "2026-05-18T15:35:24.248164Z"
    }
  ],
  "next_page": null,
  "first_id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
  "last_id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
  "has_more": false
}
```

### ページネーション例（`has_more = true`）

```json theme={null}
{
  "data": [],
  "next_page": "skill_019e3bbb6a25768b9b50ca2f52aa4345",
  "first_id": "skill_019e3bbb6a25768b9b50ca2f52aa4345",
  "last_id": "skill_019e3bbb6a25768b9b50ca2f52aa4345",
  "has_more": true
}
```

### 空一覧レスポンス

```json theme={null}
{
  "data": [],
  "next_page": null,
  "first_id": null,
  "last_id": null,
  "has_more": false
}
```

## レスポンスフィールド

| フィールド       | 型              | 説明                                                                                             |
| ----------- | -------------- | ---------------------------------------------------------------------------------------------- |
| `data`      | array          | [Skill オブジェクト](/ja/cloud-agents/api/skills/schemas#skill-object)の配列。一覧レスポンスには `content` は含まれない |
| `next_page` | string \| null | 次ページの前方カーソル。`has_more` が `true` の場合は `page` として使用                                              |
| `first_id`  | string \| null | 現在ページ先頭レコードの ID                                                                                |
| `last_id`   | string \| null | 現在ページ末尾レコードの ID                                                                                |
| `has_more`  | boolean        | さらにレコードがあるかどうか。`true` の場合は `next_page` を次ページの `page` 値として使用                                    |

## エラーレスポンス

| HTTP | type                    | 説明                                                                      |
| ---- | ----------------------- | ----------------------------------------------------------------------- |
| 400  | `invalid_request_error` | 無効な `limit`、無効な `source`、または `page`、`before_id`、`after_id` のうち 2 つ以上を指定 |
| 401  | `TOKEN_INVALID`         | 認証トークンが欠落または無効                                                          |

完全なエラーエンベロープについては [エラー](/ja/cloud-agents/api/conventions/errors) を参照してください。

## 関連項目

<CardGroup cols={2}>
  <Card title="Agent スキル" icon="sparkles" href="/ja/cloud-agents/skills">
    Agent にドメインの専門知識を付与する。
  </Card>
</CardGroup>
